Get aggregated statistics
curl --request GET \
--url https://api.hubapi.com/marketing/emails/2026-03/statistics/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/emails/2026-03/statistics/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/emails/2026-03/statistics/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"aggregate": {
"counters": {},
"deviceBreakdown": {},
"qualifierStats": {},
"ratios": {}
},
"campaignAggregations": {},
"emails": [
123
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Statistics
Get aggregated statistics
Use this endpoint to get aggregated statistics of emails sent in a specified time span. It also returns the list of emails that were sent during the time span.
GET
/
marketing
/
emails
/
2026-03
/
statistics
/
list
Get aggregated statistics
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Last modified on September 9, 2026
Was this page helpful?